<?php

include("../../DMMYSQLG.php");

$id = $_POST["id"]; //id de la heeramienta
$cantidad = $_POST["cantidad"];
$idPedido = $_POST["idPedido"];
$ok = $_POST["ok"];
$pass = $_POST["pass"];




if ($ok == 1) {
    $catidadS = mysqli_query($con ," SELECT cant_sol AS can , cant_sur , merma FROM det_pedidosH  WHERE id = $id ");
    while ($fila = mysqli_fetch_assoc($catidadS)) {
        $cantidadSolicidata = $fila['can'];
        $cant_sur = $fila['cant_sur'];
        $mermaH = $fila["merma"];
    }

    $nparte1 = mysqli_query($con ,"SELECT nparte1 FROM det_pedidosH WHERE id = $id");
    while ($fila2 = mysqli_fetch_assoc($nparte1)) {
        $idH = $fila2['nparte1'];
    }

    $existencias = mysqli_query($con ," select cantidad , descripcion from activo_fijo where id = $idH ");
    while ($row = mysqli_fetch_assoc($existencias)) {
        $t5 = $row['cantidad'];
        $nombreP = $row["descripcion"];
    }

    $next = $cantidad + $cant_sur + $mermaH;

    if ($cantidad == $cantidadSolicidata) {
        $status = 1;
    } else if ($cantidad == 0 || $cantidad > $cantidadSolicidata) {
        $status = 0;
    } else {
        $status = 2;
    }

    if ($cantidad > $cantidadSolicidata) {
        die(json_encode(array('mensaje' => 'err', 'producto' => $nombreP, 'mess' => "No puede ingresar mas piezas de las prestadas")));
        exit();
    } else if ($next > $cantidadSolicidata) {
        die(json_encode(array('mensaje' => 'err', 'producto' => $nombreP, 'mess' => "No puede ingresar mas piezas de las prestadas")));
        exit();
    } else {

        $cant_sur2 = $cant_sur + $cantidad;
        $total = $t5 + $cantidad;

        $datos = mysqli_query($con ," UPDATE det_pedidosH SET cant_sur = $cant_sur2 ,  status = $status  WHERE id = $id ");
        $devulucion = mysqli_query($con ," UPDATE activo_fijo SET cantidad = $total   WHERE id = $idH ");


        if ($datos) {
            die(json_encode(array('mensaje' => "Modificado normal" , 'valor' => $status, 'faltantes' => $cantidadSolicidata - $cantidad)));
            mysqli_close($con);
        } else {
            die(json_encode(array('mensaje' => mysqli_error($con))));
        }
    }
} else if ($ok == 2) {

    $can_sur = mysqli_query($con ,"SELECT cant_sur FROM det_pedidosH WHERE  id = $id");
    while ($row2 = mysqli_fetch_assoc($can_sur)) {
        $can_sur2 = $row2["cant_sur"];
    }

    $catidadS2 = mysqli_query($con ," SELECT cant_sol AS can , merma , cant_sur FROM det_pedidosH  WHERE id = $id ");
    while ($fila2 = mysqli_fetch_assoc($catidadS2)) {
        $cantidadSolicidata2 = $fila2['can'];
        $cant_sur3 = $fila2["merma"];
        $cant_sur4 = $fila2["cant_sur"];
    }

    $nparte1 = mysqli_query($con ,"SELECT nparte1 FROM det_pedidosH WHERE id = $id");
    while ($fila2 = mysqli_fetch_assoc($nparte1)) {
        $idH2 = $fila2['nparte1'];
    }

    $existencias = mysqli_query($con ," select cantidad , descripcion from activo_fijo where id = $idH2 ");
    while ($row = mysqli_fetch_assoc($existencias)) {
        $t5 = $row['cantidad'];
        $nombreP2 = $row["descripcion"];
    }
    $mermaT = $cant_sur3 + $cantidad;
    $next2 = $cantidad + $cant_sur3 + $cant_sur4;
    $yes = $cantidad + $can_sur2;

    if ($yes > $cantidadSolicidata2) {


        die(json_encode(array('mensaje' => 'err', 'mess' => "No coinside las piezas en:", 'producto' => $nombreP2)));
        exit();
    } else if ($next2 > $cantidadSolicidata2) {
        die(json_encode(array('mensaje' => 'err', 'mess' => "No coinside las piezas en:", 'producto' => $nombreP2)));
        exit();
    } else {
        
    }

    $datos2 = mysqli_query($con ," UPDATE det_pedidosH SET merma = $mermaT   WHERE id = $id ");

    if ($datos2) {
        die(json_encode(array('mensaje' => "Modificado m")));
        mysqli_close($con);
    } else {
        die(json_encode(array('mensaje' => mysqli_error($con))));
    }
}
    
